Subject: Re: cygpath usage (was: RE: Posible bug in cygpath Windows -> Unix conversion)
From: Bob McGowan <[email-masked]>
To: Andrej Borsenkow <[email-masked]>
Cc: Cygwin mailing list <[email-masked]>
Date: Wed, 10 Apr 2024 09:37:55 -0700

Nope, you are right.  I was just pointing out that, looking at the
results of:

  cygpath -a -u a:abc
and
  cygpath -u a:abc

it looks like the command is treating the argument as absolute also, in
this case.

There was another message on this thread from Chris Faylor saying he had
found the cause of the problem and fixed it.

Andrej Borsenkow wrote:
> 
> >
> > It looks like the conversion assumes a "drive_letter:slash" and so is
> > cutting the first 3 characters, producing the output you see.  This is
> > probably the result of using the -a option, forcing cygpath to assume
> > the source string is an absolute path when in fact it is not.
> >
> 
> I believe, the option -a means, that the *result* should be absolute path.
> Look here:
> 
> mw1g017@MW1G17C% cygpath -a -u foo
> /cygdrive/c/win32app/bin/foo
> mw1g017@MW1G17C% cygpath -a -w foo
> c:\win32app\bin\foo
> 
> At least, I always understood it this way. Correct me if I'm wrong.
> 
> -andrej

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]